<!DOCTYPE html>
<html>
  <head>
    <title>{% block title %}RoboEDU{% endblock %}</title>
    {% block head_css %}{% endblock %}
    {% block head %}{% endblock %}
    <link rel="icon" href="/static/icon.png">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/static/w3.css">
    <link rel="stylesheet" href="/static/base.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  </head>
  <body class="w3-mobile">
    {% block body %}{% endblock %}
    {#{% if min == False %}#}
    <div class="w3-display-topmiddle" style="z-index: 10; padding: 1em; width: 100%;">
      <div class="w3-bar w3-round-large {{ ['w3-red', 'w3-pink', 'w3-purple', 'w3-deep-purple', 'w3-indigo', 'w3-blue', 'w3-light-blue', 'w3-cyan', 'w3-aqua', 'w3-teal', 'w3-green', 'w3-light-green', 'w3-lime', 'w3-yellow', 'w3-amber', 'w3-orange', 'w3-deep-orange', 'w3-blue-gray', 'w3-brown', 'w3-light-gray', 'w3-gray', 'w3-dark-gray', 'w3-pale-red', 'w3-pale-yellow', 'w3-pale-green', 'w3-pale-blue', ]|random }} w3-card-4" style="max-width: 100%;">
        <a class="w3-bar-item w3-btn w3-round-large" style="transition: 0.5s; margin: 0.5em;" href="/">
          <img src="/static/logo-tight.png" height="14em;" />
          <span style="font-size: 0.5em;" class="w3-tag w3-round-large w3-red w3-card-2">2.3.0 β</span>
        </a>
        <div class="w3-bar-item w3-btn w3-round-large w3-dropdown-hover" style="transition: 0.5s; margin: 0.5em;" href="/">
          Notice
          <div class="w3-dropdown-content" style="background-color: transparent;">
            <div class="w3-panel w3-card-4 w3-margin-top w3-round-large w3-light-grey w3-leftbar w3-animate-opacity w3-border-orange" style="transition: 0.5s; max-width: 75%;">
              <p style="white-space: pre-line;">
                <span class="material-icons">warning</span>
                Many actions done on this website are logged with information that may be able to identify an individual and/or entity.
              </p>
            </div>
          </div>
        </div>
        {% block navbar %}{% endblock %}
        {% if 'admin' in current_user.group %}
          <a href="/admin" class="w3-bar-item w3-btn w3-round-large w3-right" style="transition: 0.5s; margin: 0.5em;"><span style="font-size: 0.9em;" class="material-icons">admin_panel_settings</span></a>
        {% endif %}
        <a href="/courses" class="w3-bar-item w3-btn w3-round-large w3-right" style="transition: 0.5s; margin: 0.5em;"><span style="font-size: 0.9em;" class="material-icons">school</span></a>
        <a href="/profile" class="w3-bar-item w3-btn w3-round-large w3-right" style="transition: 0.5s; margin: 0.5em;"><span style="font-size: 0.9em;" class="material-icons">account_circle</span>{% if current_user.is_authenticated %} {{ current_user.first_name }} {{ current_user.last_name }}{% endif %}</a>
<!--        <a href="/settings" class="w3-bar-item w3-btn w3-round-large w3-right" style="transition: 0.5s; margin: 0.5em;"><span style="font-size: 0.9em;" class="material-icons">settings</span></a>-->
        {% if current_user.is_authenticated %}
          <a class="w3-bar-item w3-btn w3-round-large w3-right" style="transition: 0.5s; margin: 0.5em;" href="/signout">
            <!--logout-variant Austin Andrews @Templarian materialdesignicons.com-->
            <svg style="width:0.9em;height:0.9em" viewBox="0 0 24 24">
              <path fill="currentColor" d="M14.08,15.59L16.67,13H7V11H16.67L14.08,8.41L15.5,7L20.5,12L15.5,17L14.08,15.59M19,3A2,2 0 0,1 21,5V9.67L19,7.67V5H5V19H19V16.33L21,14.33V19A2,2 0 0,1 19,21H5C3.89,21 3,20.1 3,19V5C3,3.89 3.89,3 5,3H19Z" />
            </svg>
          </a>
        {% else %}
          <a class="w3-bar-item w3-btn w3-round-large w3-right" style="transition: 0.5s; margin: 0.5em;" href="/signin">
            <!--login-variant Austin Andrews @Templarian materialdesignicons.com-->
            <svg style="width:0.9em;height:0.9em" viewBox="0 0 24 24">
              <path fill="currentColor" d="M19,3H5C3.89,3 3,3.89 3,5V9H5V5H19V19H5V15H3V19A2,2 0 0,0 5,21H19A2,2 0 0,0 21,19V5C21,3.89 20.1,3 19,3M10.08,15.58L11.5,17L16.5,12L11.5,7L10.08,8.41L12.67,11H3V13H12.67L10.08,15.58Z" />
            </svg>
          </a>
        {% endif %}
      </div>
    </div>
    {#{% endif %}#}
    <div class="w3-display-middle" id="content" style="overflow: auto; position: fixed; width: 100%; max-height: 100%; {#{% if min == False %}#}margin-top: 40px;{#{% endif %}#} padding: 50px 20px; ::-webkit-scrollbar { display: none; }">
      <div class="w3-container w3-card-4 w3-round-large w3-padding-16" style="margin: 0.5em;">
        {% block content %}
        <h1>Error</h1>
        <p>This page is not configured correctly. Please contact the administrator.</p>
        {% endblock %}
        Website (full stack) developed by <a class="w3-text-blue w3-hover-text-deep-purple" style="transition: 0.5s; text-decoration: none; display: inline;" href="https://colourdelete.gitlab.io">Ken Shibata</a>, Peter Zhou, and Catherine Huang.
      </div>
    </div>
    {% block extra %}{% endblock %}
    {% with messages = get_flashed_messages(with_categories=true) %}
    {% if messages %}
      <div class="w3-display-bottomright w3-margin-right" style="max-width: 25%;">
      {% for category, message in messages %}
        {% if category == 'error' %}
          {% set message_border = 'w3-border-red' %}
        {% elif category == 'info' %}
          {% set message_border = 'w3-border-blue' %}
        {% elif category == 'warning' %}
          {% set message_border = 'w3-border-orange' %}
        {% elif category == 'ok' %}
          {% set message_border = 'w3-border-green' %}
        {% elif category == 'debug' %}
          {% set message_border = 'w3-border-brown' %}
        {% else %}
          {% set message_border = 'w3-border-white' %}
        {% endif %}
        {% if category == 'error' %}
          {% set message_icon = 'error' %}
        {% elif category == 'info' %}
          {% set message_icon = 'info' %}
        {% elif category == 'warning' %}
          {% set message_icon = 'warning' %}
        {% elif category == 'ok' %}
          {% set message_icon = 'check_circle' %}
        {% elif category == 'debug' %}
          {% set message_icon = 'bug_report' %}
        {% else %}
          {% set message_icon = 'message' %}
        {% endif %}
        <div class="w3-panel w3-card-4 w3-margin-top w3-round-large w3-light-grey w3-leftbar w3-animate-right {{ message_border }}" style="transition: 0.5s;" onclick="this.style.display='none'">
          {# <p>{{ category.title() }}: {{ message }}</p> #}
          <p><span class="material-icons">{{ message_icon }}</span> {{ message }}<br><i style="font-size: 0.5em;">Click notification to dismiss</i></p>
        </div>
      {% endfor %}
      </div>
    {% endif %}
  {% endwith %}
  </body>
</html>